{{ $featured_image := partial "func/GetFeaturedImage.html" . }}
{{ if $featured_image }}
  {{/* Trimming the slash and adding absURL make sure the image works no matter where our site lives */}}
  <header class="cover bg-bottom" style="background-image: url('{{ $featured_image }}'); height:800px; max-height:100vw;">
    <div class='{{ .Site.Params.cover_dimming_class | default "bg-black-30" }}' style="height:800px; max-height:100vw;">
      {{ partial "site-navigation.html" .}}
      <div class="tc-l pv4 pv6-l ph3 ph4-ns">
        <h1 class="f2 f-subheadline-l fw2 white-90 mb0 lh-title">
			~{{ .Title | default .Site.Title }}
        </h1>
        {{ with .Params.description }}
          <h2 class="fw1 f5 f3-l white-80 measure-wide-l center mt3">
            {{ . }}
          </h2>
        {{ end }}
      </div>
    </div>
{{ else }}
  <header>
    <div class="pb3-m pb6-l {{ .Site.Params.background_color_class | default "bg-black" }}">
      {{ partial "site-navigation.html" . }}
      <div class="tc-l pv3 ph3 ph4-ns">
        <h1 class="f2 f-subheadline-l fw2 light-silver mb0 lh-title">
          {{ .Title | default .Site.Title }}
        </h1>
        {{ with .Params.description }}
          <h2 class="fw1 f5 f3-l white-80 measure-wide-l center lh-copy mt3 mb4">
            {{ . }}
          </h2>
        {{ end }}
      </div>
    </div>
{{ end }}
    <div class="switchUser">
        <div id="userMenu" style="display: none;">
            <p>Ich bin:</p>
            <button id="teacherButton">Lehrperson</button>
            <button id="pupilButton">Schüler:in</button>
        </div>
        <button id="userMenuButton" onclick="change_visibility()">&#9776;</button>
    </div>
  </header>
